#include <iostream>

using namespace std;

/**int CountP(int A)
{
    int Res = 1;
    int C = 0;

    for (int i = 2; i * i <= A; i++)
    {
        C = 1;
        while (A % i == 0)
        {
            C++;
            A /= i;
        }
        Res *= C;
    }

    if (Res % 2 == 1)
    {
        return Res / 2 + 1;
    }

    return Res / 2;
}**/

int main()
{
    int N;

    cin >> N;

    int C = 0;
    int SN;

    for (int i = 1; i * i <= N; i++)
    {
        if (N % i == 0)
        {
            SN = N / i;
            for (int j = i; j * j <= SN; j++)
            {
                if (SN % j == 0)
                {
                    //cout << i << " " << j << " " << N / i / j << endl;
                    C++;
                }
            }
        }
    }

    cout << C << endl;
}
